## akonadi 20.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(PIM_VERSION "5.16.3")
project(Akonadi VERSION ${PIM_VERSION})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


# ECM setup
set(KF5_MIN_VERSION "5.75.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(CheckAtomic)
include(CheckIncludeFiles)
include(ECMQtDeclareLoggingCategory)
include(CheckSymbolExists)

include(KDEPackageAppTemplates)
include(ECMMarkNonGuiExecutable)
include(ECMAddTests)
include(ECMSetupQtPluginMacroNames)

include(AkonadiMacros)

set(QT_REQUIRED_VERSION "5.13.0")
set(RELEASE_SERVICE_VERSION "20.12.3")
set(AKONADI_FULL_VERSION "${PIM_VERSION} (${RELEASE_SERVICE_VERSION})")

configure_file(akonadifull-version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/akonadifull-version.h @ONLY)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX AKONADI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/akonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiConfigVersion.cmake"
    SOVERSION 5)

# Find packages
find_package(Qt5Core ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Private)
find_package(Qt5Sql ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS Private)
find_package(Qt5DBus ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt5Network ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt5Test ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_REQUIRED_VERSION} REQUIRED)
find_package(Qt5Xml ${QT_REQUIRED_VERSION} REQUIRED)

find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemModels ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5ItemViews ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Crash ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(Qt5Designer NO_MODULE)
set_package_properties(Qt5Designer PROPERTIES
   PURPOSE "Required to build the Qt Designer plugins"
   TYPE OPTIONAL
)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(DESIGNERPLUGIN ${BUILD_DESIGNERPLUGIN} "Build plugin for Qt Designer")

set(Boost_MINIMUM_VERSION "1.34.0")

# The Boost CMake config files have been incompatible with the CMake files for
# a long time. We'll only use what CMake's FindBoost.cmake module provides
# until the minimum Boost version is raised to 1.70.
set(Boost_NO_BOOST_CMAKE ON)

find_package(Boost ${Boost_MINIMUM_VERSION} MODULE REQUIRED)
set_package_properties(Boost PROPERTIES
    DESCRIPTION "Boost C++ Libraries"
    URL "https://www.boost.org"
    TYPE REQUIRED
)

set(AccountsQt5_MINIMUM_VERSION "1.15")
find_package(AccountsQt5 ${AccountsQt5_MINIMUM_VERSION})
set_package_properties(AccountsQt5 PROPERTIES
    DESCRIPTION "Qt bindings for the Accounts framework"
    URL "https://gitlab.com/accounts-sso/libaccounts-qt"
    TYPE OPTIONAL
)
set(KAccounts_MINIMUM_VERSION "19.08.0")
find_package(KAccounts ${KAccounts_MINIMUM_VERSION})
set_package_properties(KAccounts PROPERTIES
    DESCRIPTION "KDE library for Accounts framework integration"
    URL "https://cgit.kde.org/kaccounts-integration.git"
    TYPE OPTIONAL
)
if (${AccountsQt5_FOUND} AND ${KAccounts_FOUND})
    set(WITH_ACCOUNTS TRUE)
endif()

set(LibLZMA_MINIMUM_VERSION "5.0.0")
find_package(LibLZMA ${LibLZMA_MINIMUM_VERSION})
set_package_properties(LibLZMA PROPERTIES
    DESCRIPTION "LZMA compression library"
    URL "https://tukaani.org/xz/"
    TYPE REQUIRED
)


if(BUILD_TESTING)
    set(AKONADI_TESTS_EXPORT AKONADICORE_EXPORT)
    set(AKONADIWIDGET_TESTS_EXPORT AKONADIWIDGETS_EXPORT)
    add_definitions(-DBUILD_TESTING)
endif()

ecm_setup_qtplugin_macro_names(
    JSON_ARG2
        "AKONADI_AGENTCONFIG_FACTORY"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

# Make sure the KF5Akonadi_DATA_DIR is absolute before passing it to KF5AkonadiConfig.cmake.in
# otherwise build fails either on OSX CI, or for normal users
if (IS_ABSOLUTE "${KDE_INSTALL_DATADIR_KF5}")
    set(KF5Akonadi_DATA_DIR "${KDE_INSTALL_DATADIR_KF5}/akonadi")
else()
    set(KF5Akonadi_DATA_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_DATADIR_KF5}/akonadi")
endif()

check_symbol_exists(malloc_trim "malloc.h" HAVE_MALLOC_TRIM)

############### Build Options ###############
option(AKONADI_BUILD_QSQLITE "Build the Sqlite backend." TRUE)
option(BUILD_TOOLS "Build and install tools for development and testing purposes." TRUE)
option(INSTALL_APPARMOR "Install AppArmor profiles" TRUE)

if(BUILD_TESTING)
   set(BUILD_TOOLS TRUE)
endif()

set(SMI_MIN_VERSION "1.3")
find_package(SharedMimeInfo ${SMI_MIN_VERSION} REQUIRED)

find_program(XSLTPROC_EXECUTABLE xsltproc)
if(NOT XSLTPROC_EXECUTABLE)
    message(FATAL_ERROR "\nThe command line XSLT processor program 'xsltproc'  could not be found.\nPlease install xsltproc.\n")
endif()

find_program(MYSQLD_EXECUTABLE NAMES mysqld
    PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin
    DOC "The mysqld executable path. ONLY needed at runtime"
)

if(MYSQLD_EXECUTABLE)
    message(STATUS "MySQL Server found: ${MYSQLD_EXECUTABLE}")
else()
    message(STATUS "MySQL Server wasn't found. it is required to use the MySQL backend.")
endif()

find_path(POSTGRES_PATH NAMES pg_ctl
    HINTS /usr/lib${LIB_SUFFIX}/postgresql/8.4/bin
          /usr/lib${LIB_SUFFIX}/postgresql/9.0/bin
          /usr/lib${LIB_SUFFIX}/postgresql/9.1/bin
          DOC "The pg_ctl executable path. ONLY needed at runtime by the PostgreSQL backend"
)

if(POSTGRES_PATH)
    message(STATUS "PostgreSQL Server found.")
else()
    message(STATUS "PostgreSQL wasn't found. it is required to use the Postgres backend.")
endif()


if("${DATABASE_BACKEND}" STREQUAL "SQLITE")
    set(SQLITE_TYPE "REQUIRED")
else()
    set(SQLITE_TYPE "OPTIONAL")
endif()

if(AKONADI_BUILD_QSQLITE)
    set(SQLITE_MIN_VERSION 3.6.23)
    find_package(Sqlite ${SQLITE_MIN_VERSION})
    set_package_properties(Sqlite PROPERTIES
        URL "https://www.sqlite.org"
        DESCRIPTION "The Sqlite database library"
        TYPE ${SQLITE_TYPE}
        PURPOSE "Required by the Sqlite backend"
    )
endif()

find_program(XMLLINT_EXECUTABLE xmllint)
if(NOT XMLLINT_EXECUTABLE)
    message(STATUS "xmllint not found, skipping akonadidb.xml schema validation")
endif()

check_include_files(unistd.h HAVE_UNISTD_H)
if(HAVE_UNISTD_H)
    add_definitions(-DHAVE_UNISTD_H)
endif()

if (IS_ABSOLUTE "${DBUS_INTERFACES_INSTALL_DIR}")
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${DBUS_INTERFACES_INSTALL_DIR}")
else()
    set(AKONADI_DBUS_INTERFACES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${DBUS_INTERFACES_INSTALL_DIR}")
endif()

if (IS_ABSOLUTE "${KDE_INSTALL_INCLUDEDIR_KF5}")
    set(AKONADI_INCLUDE_DIR "${KDE_INSTALL_INCLUDEDIR_KF5}")
else()
    set(AKONADI_INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_INCLUDEDIR_KF5}")
endif()

############### Build Options ###############

include(CTest)  # Calls enable_testing().
include(CTestConfig.cmake)

if(NOT DEFINED DATABASE_BACKEND)
    set(DATABASE_BACKEND "MYSQL" CACHE STRING "The default database backend to use for Akonadi. Can be either MYSQL, POSTGRES or SQLITE")
endif()

############### CTest options ###############
# Set a timeout value of 1 minute per test
set(DART_TESTING_TIMEOUT 60)

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake COPYONLY)

############### Macros ###############

macro(SET_DEFAULT_DB_BACKEND)
    set(_backend ${ARGV0})
    if("${_backend}" STREQUAL "SQLITE")
        set(AKONADI_DATABASE_BACKEND QSQLITE3)
        set(AKONADI_BUILD_QSQLITE TRUE)
    else()
        if("${_backend}" STREQUAL "POSTGRES")
          set(AKONADI_DATABASE_BACKEND QPSQL)
        else()
          set(AKONADI_DATABASE_BACKEND QMYSQL)
        endif()
    endif()

    message(STATUS "Using default db backend ${AKONADI_DATABASE_BACKEND}")
    add_definitions(-DAKONADI_DATABASE_BACKEND="${AKONADI_DATABASE_BACKEND}")
endmacro()

#### DB BACKEND DEFAULT ####
set_default_db_backend(${DATABASE_BACKEND})

############### Compilers flags ###############

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_C_COMPILER MATCHES "icc" OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
    set(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS} -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wundef -Wcast-align -Wchar-subscripts -Wall -Wextra -Wpointer-arith -Wformat-security -fno-common -pedantic")
    CHECK_CXX_COMPILER_FLAG(-Wno-deprecated-copy NO_DEPRECATED_COPY)
    if (NO_DEPRECATED_COPY)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-deprecated-copy")
    endif()

    set(CMAKE_CXX_FLAGS_DEBUGFULL "-g3 -fno-inline" CACHE STRING "Flags used by the C++ compiler during debugfull builds." FORCE)
    set(CMAKE_C_FLAGS_DEBUGFULL   "-g3 -fno-inline" CACHE STRING "Flags used by the C compiler during debugfull builds." FORCE)
    mark_as_advanced(CMAKE_CXX_FLAGS_DEBUGFULL CMAKE_C_FLAGS_DEBUGFULL)
elseif (MSVC)
    # This sets the __cplusplus macro to a real value based on the version of C++ specified by
    # the /std switch. Without it MSVC keeps reporting C++98, so feature detection doesn't work.
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /Zc:__cplusplus")
endif()


if(MSVC)
    set(_ENABLE_EXCEPTIONS -EHsc)
else()
    set(_ENABLE_EXCEPTIONS -fexceptions)
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_ENABLE_EXCEPTIONS}")

############### Configure files #############

configure_file(config-akonadi.h.cmake ${Akonadi_BINARY_DIR}/config-akonadi.h)

############### build targets ###############

add_definitions(-DTRANSLATION_DOMAIN=\"libakonadi5\")

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    src
)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054C00)
#add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DQT_NO_EMIT)

add_subdirectory(src)
add_subdirectory(icons)

add_subdirectory(templates)

if(BUILD_TOOLS)
    # add testrunner (application for managing a self-contained
    # test environment)
    add_subdirectory(autotests/libs/testrunner)
    add_subdirectory(autotests/libs/testresource)
    add_subdirectory(autotests/libs/testsearchplugin)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

if(INSTALL_APPARMOR)
   add_subdirectory(apparmor)
endif()

############### install stuff ###############

install(FILES akonadi-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

############### CMake Config Files ###############

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Akonadi")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5AkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5AkonadiConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS AKONADI_DBUS_INTERFACES_INSTALL_DIR
              AKONADI_INCLUDE_DIR
              KF5Akonadi_DATA_DIR
)

install(FILES

=== debian/changelog ===
akonadi (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:13:22 +0000

akonadi (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:47:49 +0000

akonadi (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:05:52 +0000

akonadi (4:20.12.0-0ubuntu2) hirsute; urgency=medium

  * Add some optional symbols leaked from new boost library, fixes an FTBFS.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 14 Jan 2021 18:14:20 +0000

akonadi (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update installed files

  [ Rik Mills ]
  * New upstream release (20.12.0)
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * Add liblzma-dev to build depends

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:20:43 +0000

akonadi (4:20.08.3-0ubuntu4) hirsute; urgency=medium

  * Also fix runtime dependencies, from Rik Mills

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 21:47:21 +0100

akonadi (4:20.08.3-0ubuntu3) hirsute; urgency=medium

  * Rebuild against new mariadb-10.5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 21:40:35 +0100

akonadi (4:20.08.3-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-2.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 27 Nov 2020 18:52:31 +0300

akonadi (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)
  * Update postgresql-data-checksums.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:45:33 +0000

akonadi (4:20.08.1-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild against qtbase-abi-5-15-1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 30 Oct 2020 13:59:30 +0300

=== debian/control ===
Source: akonadi
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               dh-apparmor,
               extra-cmake-modules (>= 5.31.0~),
               kgendesignerplugin (>= 5.31.0~),
               libaccounts-glib-dev,
               libaccounts-qt5-dev,
               libboost-dev (>= 1.34.0~),
               libboost-graph-dev,
               libkaccounts-dev (>= 4:20.12.3~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5networkmanagerqt-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               liblzma-dev,
               libmariadb-dev-compat,
               libqt5designer5,
               libsqlite3-dev (>= 3.6.23),
               libxml2-dev,
               libxml2-utils,
               libxslt1-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.20),
               xsltproc,
Standards-Version: 4.1.3
Homepage: http://pim.kde.org/akonadi
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi

Package: akonadi-backend-mysql
Section: misc
Architecture: all
Depends: libqt5sql5-mysql,
         mariadb-client-core-10.5,
         mariadb-server-core-10.5,
         ${misc:Depends},
Recommends: akonadi-server
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: MySQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with MySQL
 as underlying data storage engine. By default, a local MySQL server instance
 will be started for each user. Alternatively, connection to an external MySQL
 database is supported as well.

Package: akonadi-backend-postgresql
Section: misc
Architecture: all
Depends: libqt5sql5-psql, ${misc:Depends}
Recommends: akonadi-server, postgresql
Replaces: akonadi-server (<< 1.3.60~)
Breaks: akonadi-server (<< 1.3.60~)
Description: PostgreSQL storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with
 PostgreSQL as underlying data storage engine. By default, a local PostgreSQL
 server instance will be started for each user. Alternatively, connection to an
 external PostgreSQL database is supported as well.

Package: akonadi-backend-sqlite
Section: misc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
Recommends: akonadi-server
Description: SQLite storage backend for Akonadi
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package installs everything what's needed for Akonadi to work with SQLite
 as underlying data storage engine. Since SQLite is an embedded database
 engine, a separate SQL server daemon is not necessary.
 .
 In addition, the package contains an improved QSql driver for SQLite named
 "QSQLite3". It can be used by any application that needs to access SQLite
 databases via standard Qt QSql framework.

Package: akonadi-server
Section: net
Architecture: any
Depends: akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) | akonadi-backend-postgresql (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: akonadi-backend-postgresql (= ${source:Version}),
          akonadi-backend-sqlite (= ${binary:Version}),
Breaks: akonadiconsole (<< 4:16.12),
        kapptemplate (<< 4:17.11.80~),
        kdepimlibs-data (<<  4:16.04),
        kmail (<< 4:16.12),
        korganizer (<< 4:16.12),
        libkf5akonadicore-bin (<< 4:19.08.0~),
Replaces: kapptemplate (<< 4:17.11.80~),
          kdepimlibs-data (<<  4:16.04),
          libkf5akonadicore-bin (<< 4:19.08.0~),
Description: Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains the Akonadi PIM storage server and associated programs.

Package: libkf5akonadi-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadicore-bin (<< 4:19.08.0~), ${kde-l10n:all}
Replaces: libkf5akonadicore-bin (<< 4:19.08.0~), ${kde-l10n:all}
Description: Akonadi arch independent data
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package ships arch independent data like translations etc.

Package: libkf5akonadi-dev
Section: libdevel
Architecture: any
Depends: libboost-dev (>= 1.34.0~),
         libkf5akonadiagentbase5 (= ${binary:Version}),
         libkf5akonadicore5abi2 (= ${binary:Version}),
         libkf5akonadiserver-dev (>= ${binary:Version}),
         libkf5akonadiwidgets5abi1 (= ${binary:Version}),
         libkf5akonadixml5 (= ${binary:Version}),
         libkf5completion-dev (>= 5.31.0~),
         libkf5itemmodels-dev (>= 5.31.0~),
         libkf5jobwidgets-dev (>= 5.31.0~),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         libkf5service-dev (>= 5.31.0~),
         libkf5solid-dev (>= 5.31.0~),
         libkf5xmlgui-dev (>= 5.31.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: akonadi-server (<< 4:19.08.0~), kdepim-runtime (<< 4:4.13)
Breaks: akonadi-server (<< 4:19.08.0~), kdepim-runtime (<< 4:4.13)
Conflicts: kdepimlibs5-dev
Description: development files for the KDE Development Platform PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadi-dev-bin
Section: libdevel
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: akonadi-server (<< 4:19.08.0~), kdepimlibs5-dev, ${kde-l10n:all}
Replaces: akonadi-server (<< 4:19.08.0~), kdepimlibs5-dev, ${kde-l10n:all}
Description: Additional development binaries for the Akonadi KDE PIM libraries
 This package contains development files for building software that uses
 the KDE Development Platform Personal Information Management libraries.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiagentbase5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi agent base library
 This library contains classes to implement agents for the Akonadi PIM
 data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadicore-bin
Architecture: any
Section: oldlibs
Priority: optional
Depends: libkf5akonadi-data, ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Akonadi core library
 Tools used by Akonadi PIM data server core classes.
 .
 This is a transitional package which can be safely removed.

Package: libkf5akonadicore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AkonadiCore
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5akonadiwidgets5abi1 (= ${binary:Version})
Description: Akonadi core library
 This library contains Akonadi PIM data server core classes.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadiprivate5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5AkonadiPrivate
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: akonadi-server (= ${binary:Version})
Description: libraries for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains libraries used by the Akonadi PIM storage service.

Package: libkf5akonadiserver-dev
Section: libdevel
Architecture: any
Depends: libkf5akonadiprivate5abi2 (= ${binary:Version}),
         ${misc:Depends},
Breaks: libakonadi-dev
Replaces: libakonadi-dev
Description: development files for the Akonadi PIM storage service
 Akonadi is an extensible cross-desktop Personal Information Management (PIM)
 storage service. It provides a common framework for applications to store and
 access mail, calendars, addressbooks, and other PIM data.
 .
 This package contains development files for building software that uses the
 Akonadi PIM storage service.

Package: libkf5akonadiwidgets5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5AkonadiWidgets
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
Replaces: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
Description: Akonadi widgets library
 This library contains standard widgets for the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5akonadixml5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Akonadi XML helper library
 This library provides XML helpers using the Akonadi PIM data server.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## akonadi 21.08.0

=== debian/changelog ===
akonadi (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:41:09 +0900

akonadi (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:32:19 +0900

akonadi (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:08:24 +0900

akonadi (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Update upstream signing key.
  * Drop Modestas and Max from uploaders, thanks for your work.
  * Add myself to uploaders.
  * Drop Kubuntu from maintainer name.
  * Update dependencies according to cmake.
  * Update patches.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:45:57 +0900

=== debian/control ===
--- 
+++ 
@@ -1,57 +1,55 @@
 Source: akonadi
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>,
-           Modestas Vainius <modax@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 11),
+           Sandro Knauß <hefee@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               default-libmysqlclient-dev,
                dh-apparmor,
-               extra-cmake-modules (>= 5.31.0~),
-               kgendesignerplugin (>= 5.31.0~),
-               libaccounts-glib-dev,
-               libaccounts-qt5-dev,
+               extra-cmake-modules (>= 5.83.0~),
+               gettext,
+               libaccounts-qt5-dev (>= 1.15~),
                libboost-dev (>= 1.34.0~),
-               libboost-graph-dev,
-               libkaccounts-dev (>= 4:20.12.3~),
-               libkf5completion-dev (>= 5.31.0~),
-               libkf5config-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
-               libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5guiaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5itemmodels-dev (>= 5.31.0~),
-               libkf5itemviews-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5networkmanagerqt-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
-               liblzma-dev,
-               libmariadb-dev-compat,
-               libqt5designer5,
+               libkaccounts-dev (>= 19.08.0~),
+               libkf5config-dev (>= 5.83.0~),
+               libkf5configwidgets-dev (>= 5.83.0~),
+               libkf5coreaddons-dev (>= 5.83.0~),
+               libkf5crash-dev (>= 5.83.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5iconthemes-dev (>= 5.83.0~),
+               libkf5itemmodels-dev (>= 5.83.0~),
+               libkf5itemviews-dev (>= 5.83.0~),
+               libkf5kio-dev (>= 5.83.0~),
+               libkf5widgetsaddons-dev (>= 5.83.0~),
+               libkf5windowsystem-dev (>= 5.83.0~),
+               libkf5xmlgui-dev (>= 5.83.0~),
+               liblzma-dev (>= 5.0.0~),
                libsqlite3-dev (>= 3.6.23),
                libxml2-dev,
                libxml2-utils,
                libxslt1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~),
-               qtbase5-private-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~),
-               shared-mime-info (>= 0.20),
+               qtbase5-dev (>= 5.15.0~),
+               qtbase5-private-dev,
+               qttools5-dev,
+               shared-mime-info (>= 1.3~),
                xsltproc,
-Standards-Version: 4.1.3
-Homepage: http://pim.kde.org/akonadi
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akonadi
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/pim/akonadi
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi.git
+Rules-Requires-Root: no
 
 Package: akonadi-backend-mysql
 Section: misc
 Architecture: all
-Depends: libqt5sql5-mysql,
-         mariadb-client-core-10.5,
-         mariadb-server-core-10.5,
+Depends: default-mysql-client-core | virtual-mysql-client-core,
+         default-mysql-server-core | virtual-mysql-server-core,
+         libqt5sql5-mysql,
          ${misc:Depends},
 Recommends: akonadi-server
 Replaces: akonadi-server (<< 1.3.60~)
@@ -85,6 +83,7 @@
 
 Package: akonadi-backend-sqlite
 Section: misc
+Multi-Arch: same
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libqt5sql5-sqlite, ${misc:Depends}, ${shlibs:Depends}
@@ -107,18 +106,14 @@
 Architecture: any
 Depends: akonadi-backend-mysql (= ${source:Version}) | akonadi-backend-sqlite (= ${binary:Version}) | akonadi-backend-postgresql (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: akonadi-backend-postgresql (= ${source:Version}),
+         ${shlibs:Depends},
+Suggests: akonadi-backend-mysql (= ${source:Version}),
+          akonadi-backend-postgresql (= ${source:Version}),
           akonadi-backend-sqlite (= ${binary:Version}),
-Breaks: akonadiconsole (<< 4:16.12),
-        kapptemplate (<< 4:17.11.80~),
-        kdepimlibs-data (<<  4:16.04),
-        kmail (<< 4:16.12),
-        korganizer (<< 4:16.12),
-        libkf5akonadicore-bin (<< 4:19.08.0~),
-Replaces: kapptemplate (<< 4:17.11.80~),
-          kdepimlibs-data (<<  4:16.04),
-          libkf5akonadicore-bin (<< 4:19.08.0~),
+Breaks: kdepimlibs-data (<< 4:16.04),
+        libkf5akonadi-data (<< 4:19.08.2-1~),
+        libkf5akonadi-dev-bin (<< 4:18.08.3-8~),
+Replaces: kdepimlibs-data (<< 4:16.04)
 Description: Akonadi PIM storage service
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -130,8 +125,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5akonadicore-bin (<< 4:19.08.0~), ${kde-l10n:all}
-Replaces: libkf5akonadicore-bin (<< 4:19.08.0~), ${kde-l10n:all}
+Breaks: akonadi-server (<< 4:19.08.2-1~), libkf5akonadicore5
+Replaces: akonadi-server (<< 4:19.08.2-1~), libkf5akonadicore5
 Description: Akonadi arch independent data
  Akonadi is an extensible cross-desktop Personal Information Management (PIM)
  storage service. It provides a common framework for applications to store and
@@ -148,18 +143,19 @@
          libkf5akonadiserver-dev (>= ${binary:Version}),
          libkf5akonadiwidgets5abi1 (= ${binary:Version}),
          libkf5akonadixml5 (= ${binary:Version}),
-         libkf5completion-dev (>= 5.31.0~),
-         libkf5itemmodels-dev (>= 5.31.0~),
-         libkf5jobwidgets-dev (>= 5.31.0~),
-         libkf5kdelibs4support-dev (>= 5.31.0~),
-         libkf5service-dev (>= 5.31.0~),
-         libkf5solid-dev (>= 5.31.0~),
-         libkf5xmlgui-dev (>= 5.31.0~),
-         qtbase5-dev (>= 5.6.1~),
+         libkf5config-dev (>= 5.83.0~),
+         libkf5i18n-dev (>= 5.83.0~),
+         libkf5iconthemes-dev (>= 5.83.0~),
+         libkf5itemmodels-dev (>= 5.83.0~),
+         libkf5kio-dev (>= 5.83.0~),
+         libkf5xmlgui-dev (>= 5.83.0~),
+         qtbase5-dev (>= 5.15.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Replaces: akonadi-server (<< 4:19.08.0~), kdepim-runtime (<< 4:4.13)
-Breaks: akonadi-server (<< 4:19.08.0~), kdepim-runtime (<< 4:4.13)
+Replaces: kapptemplate (<< 4:17.08.3-2),
+          kdepim-runtime (<< 4:4.13),
+          kdepimlibs5-dev,
+Breaks: kapptemplate (<< 4:17.08.3-2), kdepim-runtime (<< 4:4.13)
 Conflicts: kdepimlibs5-dev
 Description: development files for the KDE Development Platform PIM libraries
  This package contains development files for building software that uses
@@ -172,42 +168,38 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: akonadi-server (<< 4:19.08.0~), kdepimlibs5-dev, ${kde-l10n:all}
-Replaces: akonadi-server (<< 4:19.08.0~), kdepimlibs5-dev, ${kde-l10n:all}
+Breaks: akonadi-server (<< 4:18.08.3-8~), kdepimlibs5-dev
+Replaces: akonadi-server (<< 4:18.08.3-8~), kdepimlibs5-dev
 Description: Additional development binaries for the Akonadi KDE PIM libraries
  This package contains development files for building software that uses
  the KDE Development Platform Personal Information Management libraries.
  .
  This package is part of the KDE Development Platform PIM libraries module.
+ .
+ It contains files to run Akonadi based tests.
 
 Package: libkf5akonadiagentbase5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: ${ABI:VirtualPackage}
 Description: Akonadi agent base library
  This library contains classes to implement agents for the Akonadi PIM
  data server.
  .
  This package is part of the KDE Development Platform PIM libraries module.
 
-Package: libkf5akonadicore-bin
-Architecture: any
-Section: oldlibs
-Priority: optional
-Depends: libkf5akonadi-data, ${misc:Depends}, ${shlibs:Depends}
-Description: Tools for Akonadi core library
- Tools used by Akonadi PIM data server core classes.
- .
- This is a transitional package which can be safely removed.
-
 Package: libkf5akonadicore5abi2
 X-Debian-ABI: 2
 X-CMake-Target: KF5AkonadiCore
 Architecture: any
 Multi-Arch: same
+Provides: ${ABI:VirtualPackage}
 Depends: libkf5akonadi-data (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libkf5akonadicore5
+Replaces: libkf5akonadicore5
 Recommends: libkf5akonadiwidgets5abi1 (= ${binary:Version})
 Description: Akonadi core library
  This library contains Akonadi PIM data server core classes.
@@ -219,6 +211,7 @@
 X-CMake-Target: KF5AkonadiPrivate
 Architecture: any
 Multi-Arch: same
+Provides: ${ABI:VirtualPackage}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: akonadi-server (= ${binary:Version})
 Description: libraries for the Akonadi PIM storage service
@@ -227,12 +220,12 @@
  access mail, calendars, addressbooks, and other PIM data.
  .
  This package contains libraries used by the Akonadi PIM storage service.
+Breaks: akonadiconsole (<< 4:17.08), kdepim-runtime (<< 4:17.08)
 
 Package: libkf5akonadiserver-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5akonadiprivate5abi2 (= ${binary:Version}),
-         ${misc:Depends},
+Depends: libkf5akonadiprivate5abi2 (= ${binary:Version}), ${misc:Depends}
 Breaks: libakonadi-dev
 Replaces: libakonadi-dev
 Description: development files for the Akonadi PIM storage service
@@ -248,6 +241,7 @@
 X-CMake-Target: KF5AkonadiWidgets
 Architecture: any
 Multi-Arch: same
+Provides: ${ABI:VirtualPackage}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
 Replaces: libkf5akonadicore5 (<< 4:15.07.90+git20150817.0936)
@@ -259,6 +253,7 @@
 Package: libkf5akonadixml5
 Architecture: any
 Multi-Arch: same
+Provides: ${ABI:VirtualPackage}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Akonadi XML helper library
  This library provides XML helpers using the Akonadi PIM data server.

## akonadi 21.08.1

=== debian/changelog ===
akonadi (4:21.08.1-deepin1+rb2) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:35:20 +0800

akonadi (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:19:14 +0900

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                qttools5-dev,
                shared-mime-info (>= 1.3~),
                xsltproc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/pim/akonadi
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi.git
